Subject: Re: [lojban] A revised ce'u proposal involving si'o

From: [email-masked]
Date: Tue, 18 Sep 2001 04:33:08 EDT

In a message dated 9/17/2001 6:07:47 PM Central Daylight Time, 
[email-masked] writes:

> What does "rokeach" mean? I know the word only as a brand of candles, and 
> I'm 
> not even sure whether it's pronounced {roKITC} or {roke,ax}.
> 

I think the first for the candles (and borscht and matzohs) the second for 
the Hebrew (?) word for "druggist" -- better "apothecary". I think.